Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs
Class LockFeatureHandler

    java.lang.Object
      org.deegree.ogcwebservices.wfs.LockFeatureHandler

     class LockFeatureHandler

extends Object

Handles `LockFeature` requests to the `WFService`.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Constructor Summary
`LockFeatureHandler(WFService wfs)` Creates a new instance of `LockFeatureHandler`.

Method Summary
`(package private) FeatureResult` | `handleRequest(GetFeatureWithLock request)` Handles a `GetFeatureWithLock` request.
`(package private) LockFeatureResponse` | `handleRequest(LockFeature request)` Handles a `LockFeature` request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockFeatureHandler

    LockFeatureHandler(WFService wfs)

  Creates a new instance of `LockFeatureHandler`. Only called by the associated `WFService` (once).

  Parameters:
    `wfs` - associated WFService

Method Detail

### handleRequest

    LockFeatureResponse handleRequest(LockFeature request)
                                throws OGCWebServiceException

  Handles a `LockFeature` request.

  Parameters:
    `request` - `LockFeature` request to perform
  Returns:
    response to the request
  Throws:
    `OGCWebServiceException`

### handleRequest

    FeatureResult handleRequest(GetFeatureWithLock request)
                          throws OGCWebServiceException

  Handles a `GetFeatureWithLock` request.

  This is performed using the following strategy:

  - Perform the request as a standard `GetFeature` request.
  - Create a corresponding `LockFeature` request from the `GetFeatureWithLock` request.
  - Set the "lockId" attribute in the result feature collection.
  - Remove all features from the feature collection that could not be locked.

  Parameters:
    `request` - `GetFeatureWithLock` request to perform
  Returns:
    response to the request
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org